- 2020-03-25
  - Set preliminary feature freeze date to 2020-05-04.
- 2020-05-07
  - Created release notes draft.
- 2020-05-08
  - Published internal release announcement.
- 2020-05-24
  - Received notification about including core#216.
- 2020-06-23
  - Set release date to 2020-06-30.
- 2020-06-24
  - Received notification of upcoming snippet changes.
- 2020-06-30
  - Received QA LGTM.
  - Noticed that "tested" label was missing from webext#216: Fixed.
  - Received builds.
  - Published to CWS.
    - Uploaded new screenshots for en-US, de, fr, pt-BR, ru and es locales.
    - Replaced permission justifications based on https://docs.google.com/document/d/1VzV_0RQBZ7rLPcvbGtK0VaZiaOHV75PLmnXrOVqNNnM/edit under "Privacy" tab.
    - Entered developer account contact email.
  - Published to AMO
  - Published to Microsoft store.
  - Published to Opera store.
  - Published release notes.
- 2020-07-06
  - Noticed that release is live on AMO, CWS and Microsoft store.
- 2020-07-07
  - Noticed that release is live on Opera store.
